Last Comment Bug 307478 - Build failure with syntax error in nsDebug.h
: Build failure with syntax error in nsDebug.h
Status: RESOLVED FIXED
: fixed1.8
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: Trunk
: x86 Other
: -- blocker (vote)
: mozilla1.8beta4
Assigned To: Rupesh
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-08 03:36 PDT by Rupesh
Modified: 2005-09-28 10:18 PDT (History)
6 users (show)
benjamin: blocking1.8b5+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Proposed patch (2.52 KB, patch)
2005-09-08 03:55 PDT, Rupesh
trupesh: review+
benjamin: review+
asa: approval1.8b5+
Details | Diff | Splinter Review

Description Rupesh 2005-09-08 03:36:27 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2
Build Identifier: 

Tinder box build on AIX fails with the below error from 31st Aug, 10:52 AM.

/trunk/mozilla/xpcom/glue/nsDebug.h", line 219.1: 1506-046 (S) Syntax error.
gmake[1]: *** [pldhash.o] Error 1
gmake[1]: Leaving directory `/trunk/mozilla/obj-opt/xpcom/glue'
gmake: *** [all] Error 2


Reproducible: Always
Comment 1 Rupesh 2005-09-08 03:55:19 PDT
Created attachment 195249 [details] [diff] [review]
Proposed patch

Changing C++ comment style to C comment style resolves the issue.
Comment 2 Philip K. Warren 2005-09-08 07:00:29 PDT
Fix checked in on trunk. Leaving bug open in order to fix this on the branch as
well.

Checking in nsDebug.h;
/cvsroot/mozilla/xpcom/glue/nsDebug.h,v  <--  nsDebug.h
new revision: 1.22; previous revision: 1.21
done
Comment 3 David Baron :dbaron: ⌚️UTC+8 (review requests must explain patch) 2005-09-08 10:04:35 PDT
pldhash.c shouldn't include nsDebug.h, which is a C++ header.  It ought to be
able to include prlog.h if all it needs is PR_ASSERT.
Comment 4 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2005-09-08 10:11:46 PDT
nsDebug.h is no longer a C++ header, and this code was expcitly introduced to
avoid the NSPR dependency. See bug 306334.
Comment 5 David Baron :dbaron: ⌚️UTC+8 (review requests must explain patch) 2005-09-08 10:30:36 PDT
Yikes, and it still uses the very C++-ish (for our tree) inter-caps filename?
Comment 6 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2005-09-14 07:04:20 PDT
pwk, can you get this landed on branch also?
Comment 7 Philip K. Warren 2005-09-15 13:37:29 PDT
(In reply to comment #6)
> pwk, can you get this landed on branch also?

I may not have a chance to get this landed for a couple of days.
Comment 8 Scott MacGregor 2005-09-27 15:51:34 PDT
this needs to get landed on the branch ASAP or it may not make it into the next
release.
Comment 9 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2005-09-28 10:18:38 PDT
Fixed on the 1.8 branch.

Note You need to log in before you can comment on or make changes to this bug.